Bug 497666 - USB printer sometimes does not work properly at system startup
USB printer sometimes does not work properly at system startup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 18:08 EDT by Jonathan Ryshpan
Modified: 2009-08-07 04:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 04:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of attempt to print a test page (20.95 KB, text/plain)
2009-04-25 18:10 EDT, Jonathan Ryshpan
no flags Details

  None (edit)
Description Jonathan Ryshpan 2009-04-25 18:08:55 EDT
Description of problem:
USB printer sometimes does not work properly at system startup.  If the usb
cable is unplugged and then plugged in again, it works fine.  Details:
  $ uname -srvmpio
    Linux 2.6.27.21-170.2.56.fc10.x86_64 #1 SMP Mon Mar 23 23:08:10 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
  $ lsusb
  ...
  Bus 003 Device 003: ID 04f9:000d Brother Industries, Ltd HL-1440 Laser Printer
        ...
The printer is *seen* at startup; lsusb shows it correctly.  The driver is Gutenprint Simplified Driver,which is the only driver for this printer which prints correctly.

Version-Release number of selected component (if applicable):
cups-1.3.10-1.fc10.x86_64

How reproducible:
Not very.

Steps to Reproduce:
1. Wait for the printer to become unavailable.
  
Actual results:
Printer is unavailable.  Error box (from gnome) reports that the printer is probably off line.

Expected results:
Printer would print.

Additional info:
Log of System->Administration->Printing->Help->Troubleshoot request to print a test page is attached.  The printer was not ready while attempting to print a job from Acroread.  I requested the debug system to print a test page.  Nothing was printed.  I unplugged the printer's USB cable, and the original locked up job was printed.  The test page never printed but nevertheless disappeared from the print queue.

This may be related to bug 478495.
Comment 1 Jonathan Ryshpan 2009-04-25 18:10:39 EDT
Created attachment 341327 [details]
Log of attempt to print a test page
Comment 2 Tim Waugh 2009-04-27 08:16:32 EDT
What does '/usr/sbin/lpinfo -l -v' say, (i) after a system boot, and (ii) after unplugging/replugging the printer?
Comment 3 Jonathan Ryshpan 2009-08-06 20:40:28 EDT
(In reply to comment #2)
> What does '/usr/sbin/lpinfo -l -v' say, (i) after a system boot, and (ii) after
> unplugging/replugging the printer?  

Please excuse this late reply.  I have only found this request in going over some misclassified email.

I have not noticed this problem since upgrading to Fedora-11, and am no longer in a position to test under Fedora-10 (8-(.
Comment 4 Tim Waugh 2009-08-07 04:18:22 EDT
OK, will close.

Note You need to log in before you can comment on or make changes to this bug.